Subject: Re: [Pce] draft-ietf-pce-pcep-domain-sequence-06

From: Dhruv Dhody <[email-masked]>
Date: Tue, 30 Dec 2014 18:52:11 +0530

Hi Wenhu,

It was pointed out to me by my co-author that somehow I missed
replying to your mail. Apologies for that.

See inline...

On Fri, Nov 21, 2014 at 2:58 AM, Wenhu Lu <[email-masked]> wrote:
>
> Dear authors,
>
>
>
> Following the presentation in IETF91, I would like to add several comments
> below:
>
>
>
> o   Which track:
>
> o   Protocol and ability to define domain wide sequence is gaining
> importance recently, and in particular when applied to the use-cases like
>
> §  SDN controller
>
> ·      It will have to determine the set of entities and the order of them
> in forming paths
>
> §  In SPRING, the sequence can serve as input in source routing
>
> o   I’m not sure if it’s too late. But I think this draft can be on the
> standard track.

As authors/editors, we do not have any strong opinion on this. We
would love to hear from the WG if we should change track for the
document to "standards track"?

>
> o   Section 1 “The Domain-Sequence … out of scope”
>
> o   I think this should be included as “in-scope”, or defined in a separate
> document

Updated in -07 version.

>
> §  We can define strict and loose sequence
>
> ·      similar to RSVP EROs, loose or strict
>
> ·      In case of loose, it can be either
>
> o   Administratively, giving admin/controller power/flexibility
>]
> §  This may include Policy (Similar to RPL/ACL)
>
> §  And if one wants to go non-conventional paths
>
> §  Even H-PCE can be considered as in this category, as one has to decide
> how to partition and arrange the tree
>
> o   Automated
>
> §  ABR/ASBR negotiation (capability and dependency)
>
> §  There are drafts doing “lowest-cost” (similar to IGP’s shortest path)
> algorithm

- This draft supports Loose-Bit (L-Bit) in IRO as per the IRO
specification update
[http://datatracker.ietf.org/doc/draft-dhody-pce-iro-update/]. So the
above is supported and an implementation may set the L-bit based on
any of these use cases. Do you see a need to discuss the above in the
PCEP protocol specification document? If yes, perhaps you can provide
some text that the WG can evaluate.

>
> o   Typo: section 7.5 “and signaling message” should be “a signaling
> message”
>

Thanks, updated in -07 version.

Thanks again for your comments and sorry for my delayed response.

Regards,
Dhruv

>
>
> Regards,
>
> -wenhu
>
>
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce
>